Bug 971221 - An empty line is inserted in a step of procedure
An empty line is inserted in a step of procedure
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 23:35 EDT by Yuko Katabami
Modified: 2013-08-09 00:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:48:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yuko Katabami 2013-06-05 23:35:55 EDT
Description of problem:
When building a book using publican, an empty line is inserted in a step (of a procedure) where a <step id="step-subnet"> tag is used.

Version-Release number of selected component (if applicable):
publican-3.1.5-0

How reproducible: Always


Steps to Reproduce:
1. Build a book which contains a <step id="step-subnet"> tag
2. Check the applicable section

Actual results:
There is an odd empty line inserted (the same line where the step number is placed)

Expected results:
There should be no empty line - the step number should be followed by the actual step

Additional info:
According to Rudi, en-US version has a temporary workaround, which is to replace the <step id="step-subnet"> tag with <step>, however this cannot be applied to localized versions.
Comment 3 Ruediger Landmann 2013-06-05 23:39:58 EDT
More generally, when a <step> has an id allocated, the associated anchor tag creates a newline. So:

<step id="step-subnet">
            <title>Identify the appropriate subnet</title>

is rendered:

<ol class="1"><li class="step"><a id="step-subnet"></a><p class="title"><strong>Identify the appropriate subnet</strong></p>
Comment 5 Jeff Fearn 2013-06-17 18:59:51 EDT
Rudi, can you test this css to see if it fixes this?

li.step > a:first-child { display: none; }	

You'll need to make sure the link still works.
Comment 7 Ruediger Landmann 2013-07-09 00:25:41 EDT
(In reply to Jeff Fearn from comment #5)
> Rudi, can you test this css to see if it fixes this?
> 
> li.step > a:first-child { display: none; }	
> 
> You'll need to make sure the link still works.

Confirmed this fixes the formatting issue and that the link still works.
Comment 8 Jeff Fearn 2013-07-09 03:07:12 EDT
To ssh://git.fedorahosted.org/git/publican.git
   4dffa35..d350f93  HEAD -> devel
Comment 9 HSS Product Manager 2013-07-09 03:07:36 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 10 Scott Radvan 2013-07-18 21:46:01 EDT
verified that no extra line is added when <step> has an id

publican-3.1.5-0.fc19.t61.noarch
Comment 11 Jeff Fearn 2013-08-09 00:48:27 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.